package osservatorio_astronomico_con_liste;

public class TempestaSolare extends Evento {
	
	public static final int SOGLIA_DI_RISCHIO = 30000; // 30MeV
	private static int progressivo = 0;
	
	private int energiaEmessa;
	private double velocita;
	private int densitaVentoSolare;
	
	public TempestaSolare(String data, String oraInizio, int durata, int energia, double velocita, int densita) {
		super("T_"+(++progressivo), data, oraInizio, durata);
		this.energiaEmessa = energia; 
		this.velocita = velocita;
		this.densitaVentoSolare = densita;
	}
	
	public TempestaSolare() {
		this("","",0,0,0,0);
	}
	
	// metodo di utilit per il metodo 4)
	public boolean pericolosa() {
		return energiaEmessa > SOGLIA_DI_RISCHIO;
	}

}
